Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1687938 - Incremental update with errata should copy all modules over to resulting cv
Summary: Incremental update with errata should copy all modules over to resulting cv
Keywords:
Status: ON_QA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.5.0
Assignee: Partha Aji
QA Contact: Perry Gagne
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-12 17:21 UTC by Justin Sherrill
Modified: 2019-04-15 19:12 UTC (History)
7 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.40-1,tfm-rubygem-katello-3.10.0.42-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
Incremental Update (deleted)
2019-04-09 12:11 UTC, Omkar Khatavkar
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26364 None None None 2019-03-14 15:27:36 UTC

Description Justin Sherrill 2019-03-12 17:21:18 UTC
Description of problem:

The following issue https://pulp.plan.io/issues/4518

indicates that when copying errata in pulp from one repo to another, the associated modules are not copied.  The only use case in katello for this is incremental update.  To work around this (and to match what cv w/ filters does today), we could just copy all modules across (without rpms) as part of inc publish

Comment 3 pulp-infra@redhat.com 2019-03-12 19:02:02 UTC
The Pulp upstream bug status is at NEW. Updating the external tracker on this bug.

Comment 4 pulp-infra@redhat.com 2019-03-12 19:02:03 UTC
The Pulp upstream bug priority is at High. Updating the external tracker on this bug.

Comment 5 Robin Chan 2019-03-12 20:53:35 UTC
If there is a low risk/effort work around that katello can implement, I'd like to spend our resources getting Pulp 2.19.0 done ASAP. I'm inclined to close the upstream pulp issue as a no-fix. will there be a katello issue for the work around and the removal of the work around when katello takes Pulp 2.19.0? I'd like to link all those issues so we can track what gets done when.

Comment 6 pulp-infra@redhat.com 2019-03-13 15:31:45 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 7 pulp-infra@redhat.com 2019-03-13 16:01:53 UTC
All upstream Pulp bugs are at MODIFIED+. Moving this bug to POST.

Comment 8 Justin Sherrill 2019-03-14 15:27:35 UTC
Created redmine issue https://projects.theforeman.org/issues/26364 from this bug

Comment 9 Justin Sherrill 2019-03-14 15:34:01 UTC
Removing the pulp issue, since that will resolve this in 6.6 and this bz is for 6.5

Comment 11 Bryan Kearney 2019-03-28 18:01:04 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26364 has been resolved.

Comment 14 Omkar Khatavkar 2019-04-09 12:10:20 UTC
Verified Satellite 6.5 Snap 22, I was able to do an incremental update with errata as same steps followed based on https://github.com/Katello/katello/pull/8048#issuecomment-477646725. 

Works fine and attached the screenshot.

Comment 15 Omkar Khatavkar 2019-04-09 12:11:03 UTC
Created attachment 1553830 [details]
Incremental Update


Note You need to log in before you can comment on or make changes to this bug.